#specfile originally created for Fedora, modified for Moblin Linux
%define	sbindir	/sbin

Summary: Enhanced system logging and kernel message trapping daemons
Name: rsyslog
Version: 3.18.1
Release: 8.16.moblin2
License: GPLv3+
Group: System Environment/Daemons
URL: http://www.rsyslog.com/
Source0: http://download.rsyslog.com/rsyslog/%{name}-%{version}.tar.gz
Source1: rsyslog.init
Source2: rsyslog.conf
Source3: rsyslog.sysconfig
Patch1: rsyslog-3.11.4-undef.patch
Patch2: rsyslog-3.16.1-cfsline.patch
Patch3: rsyslog-3.16.1-symLookup.patch
Patch4: rsyslog-3.18.1-skip_initial.patch
Patch5: rsyslog-CVE-2008-5617.patch
Patch6: rsyslog-CVE-2008-5618.patch
BuildRequires: zlib-devel
BuildRequires: autoconf automake
Requires: logrotate >= 3.5.2
Requires: bash >= 2.0
Requires(post): /sbin/chkconfig coreutils
Requires(preun): /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
Provides: syslog
Conflicts: sysklogd < 1.4.1-43
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#%package mysql
#Summary: MySQL support for rsyslog
#Group: System Environment/Daemons
#Requires: %name = %version-%release
#BuildRequires: mysql-devel >= 4.0
#
#%package pgsql
#Summary: PostgresSQL support for rsyslog
#Group: System Environment/Daemons
#Requires: %name = %version-%release
#BuildRequires: postgresql-devel

#%package gssapi
#Summary: GSSAPI authentication and encryption support for rsyslog
#Group: System Environment/Daemons
#Requires: %name = %version-%release
#BuildRequires: krb5-devel 

#%package relp
#Summary: RELP protocol support for rsyslog
#Group: System Environment/Daemons
#Requires: %name = %version-%release
#BuildRequires: librelp-devel 

%description
Rsyslog is an enhanced multi-threaded syslogd supporting, among others, MySQL,
syslog/tcp, RFC 3195, permitted sender lists, filtering on any message part,
and fine grain output format control. It is quite compatible to stock sysklogd
and can be used as a drop-in replacement. Its advanced features make it 
suitable for enterprise-class, encryption protected syslog relay chains while 
at the same time being very easy to setup for the novice user.


#%description mysql
#The rsyslog-mysql package contains a dynamic shared object that will add
#MySQL database support to rsyslog.

#%description pgsql
#The rsyslog-pgsql package contains a dynamic shared object that will add
#PostgreSQL database support to rsyslog.

#%description gssapi
#The rsyslog-gssapi package contains the rsyslog plugins which support GSSAPI 
#authentication and secure connections. GSSAPI is commonly used for Kerberos 
#authentication.

#%description relp
#The rsyslog-relp package contains the rsyslog plugins that provide
#the ability to receive syslog messages via the reliable RELP
#protocol. 


%prep
%setup -q
#%patch1 -p1 -b .undef
#%patch2 -p1 -b .cfsline
#%patch3 -p1 -b .symlookup

%patch4 -p1 
%patch5 -p1 -b .CVE-2008-5617
%patch6 -p1 -b .CVE-2008-5618

%build
%configure	--sbindir=%{sbindir} \
		--disable-static \
		--enable-imfile
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d

install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/rsyslog
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rsyslog.conf
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rsyslog
install -p -m 644 redhat/rsyslog.log $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/syslog

#get rid of *.la
rm $RPM_BUILD_ROOT/%{_libdir}/rsyslog/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
for n in /var/log/{messages,secure,maillog,spooler}
do
	[ -f $n ] && continue
	umask 066 && touch $n
done

%preun
if [ $1 = 0 ]; then
	[ -x /sbin/service ] && service rsyslog stop >/dev/null 2>&1 ||:
	[ -x /sbin/chkconfig ] && /sbin/chkconfig --del rsyslog
fi

%postun
if [ "$1" -ge "1" ]; then
	[ -x /sbin/service ] && service rsyslog condrestart > /dev/null 2>&1 ||:
fi	

%triggerun -- rsyslog < 3.0.0
/bin/kill `cat /var/run/rklogd.pid 2> /dev/null` > /dev/null 2>&1 ||:

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README doc/*html
%dir %{_libdir}/rsyslog
%{_libdir}/rsyslog/imklog.so
%{_libdir}/rsyslog/immark.so
%{_libdir}/rsyslog/imtcp.so
%{_libdir}/rsyslog/imudp.so
%{_libdir}/rsyslog/imuxsock.so
%{_libdir}/rsyslog/imfile.so
%{_libdir}/rsyslog/omtesting.so
%{_libdir}/rsyslog/lmnet.so
%{_libdir}/rsyslog/lmregexp.so
%{_libdir}/rsyslog/lmtcpclt.so
%{_libdir}/rsyslog/lmtcpsrv.so
%config %{_sysconfdir}/rsyslog.conf
%config %{_sysconfdir}/sysconfig/rsyslog
%config(noreplace) %{_sysconfdir}/logrotate.d/syslog
%{_initrddir}/rsyslog
%{sbindir}/rsyslogd
%doc %{_mandir}/*/*

#%files mysql
#%defattr(-,root,root)
#%doc plugins/ommysql/createDB.sql
#%{_libdir}/rsyslog/ommysql.so
#
#%files pgsql
#%defattr(-,root,root)
#%doc plugins/ompgsql/createDB.sql
#%{_libdir}/rsyslog/ompgsql.so

#%files gssapi
#%defattr(-,root,root)
#%{_libdir}/rsyslog/lmgssutil.so
#%{_libdir}/rsyslog/imgssapi.so
#%{_libdir}/rsyslog/omgssapi.so

#%files relp
#%defattr(-,root,root)
#%{_libdir}/rsyslog/imrelp.so
#%{_libdir}/rsyslog/omrelp.so

%changelog
* Fri Jan 23 2009 passion zhao <passion.zhao@intel.com>
- add rsyslog-cve-2008-5617.patch
  [#] fri jan 23 2009 passion zhao <passion.zhao@intel.com>
- add rsyslog-cve-2008-5618.patch
* Thu Jan 22 2009 Arjan van de Ven <arjan@linux.intel.com>
- reenable the boott ime patch
* Fri Jan  9 2009 Inaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com> 3.18.1
- By default, log everything to /dev/tty8
* Fri Dec 19 2008 Arjan van de Ven <arjan@linux.intel.com> 3.18.1
- Save boot time by not dumping the boot dmesg into /var/log/messages (slow io)
* Tue Dec 16 2008 Auke Kok <auke-jan.h.kok@intel.com>
- do not start rsyslog or symlink it, rc.sysinit already starts it.
* Tue Sep 16 2008 Anas Nashif <anas.nashif@intel.com> 3.18.1
- Check if scripts exist before executing them
* Mon Aug 11 2008 Vincent Huang <chenglan.huang@intel.com>
- add cfsline and symbolloogkup patch
* Tue Apr  8 2008 Peter Vrabec <pvrabec@redhat.com> 3.14.1-5
- prevent undesired error description in legacy
  warning messages
* Tue Apr  8 2008 Peter Vrabec <pvrabec@redhat.com> 3.14.1-4
- adjust symbol lookup method to 2.6 kernel
* Tue Apr  8 2008 Peter Vrabec <pvrabec@redhat.com> 3.14.1-3
- fix segfault of expression based filters
* Mon Apr  7 2008 Peter Vrabec <pvrabec@redhat.com> 3.14.1-2
- init script fixes (#441170,#440968)
* Fri Apr  4 2008 Peter Vrabec <pvrabec@redhat.com> 3.14.1-1
- upgrade
* Tue Mar 25 2008 Peter Vrabec <pvrabec@redhat.com> 3.12.4-1
- upgrade
* Wed Mar 19 2008 Peter Vrabec <pvrabec@redhat.com> 3.12.3-1
- upgrade
- fix some significant memory leaks
* Tue Mar 11 2008 Peter Vrabec <pvrabec@redhat.com> 3.12.1-2
- init script fixes (#436854)
- fix config file parsing (#436722)
* Thu Mar  6 2008 Peter Vrabec <pvrabec@redhat.com> 3.12.1-1
- upgrade
* Wed Mar  5 2008 Peter Vrabec <pvrabec@redhat.com> 3.12.0-1
- upgrade
* Mon Feb 25 2008 Peter Vrabec <pvrabec@redhat.com> 3.11.5-1
- upgrade
* Fri Feb  1 2008 Peter Vrabec <pvrabec@redhat.com> 3.11.0-1
- upgrade to the latests development release
- provide PostgresSQL support
- provide GSSAPI support
* Mon Jan 21 2008 Peter Vrabec <pvrabec@redhat.com> 2.0.0-7
- change from requires sysklogd to conflicts sysklogd
* Fri Jan 18 2008 Peter Vrabec <pvrabec@redhat.com> 2.0.0-6
- change logrotate file
- use rsyslog own pid file
* Thu Jan 17 2008 Peter Vrabec <pvrabec@redhat.com> 2.0.0-5
- fixing bad descriptor (#428775)
* Wed Jan 16 2008 Peter Vrabec <pvrabec@redhat.com> 2.0.0-4
- rename logrotate file
* Wed Jan 16 2008 Peter Vrabec <pvrabec@redhat.com> 2.0.0-3
- fix post script and init file
* Wed Jan 16 2008 Peter Vrabec <pvrabec@redhat.com> 2.0.0-2
- change pid filename and use logrotata script from sysklogd
* Tue Jan 15 2008 Peter Vrabec <pvrabec@redhat.com> 2.0.0-1
- upgrade to stable release
- spec file clean up
* Wed Jan  2 2008 Peter Vrabec <pvrabec@redhat.com> 1.21.2-1
- new upstream release
  * Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.19.11-2
- Rebuild for deps
* Thu Nov 29 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.11-1
- new upstream release
- add conflicts (#400671)
* Mon Nov 19 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.10-1
- new upstream release
* Wed Oct  3 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.6-3
- remove NUL character from recieved messages
* Tue Sep 25 2007 Tomas Heinrich <theinric@redhat.com> 1.19.6-2
- fix message suppression (303341)
* Tue Sep 25 2007 Tomas Heinrich <theinric@redhat.com> 1.19.6-1
- upstream bugfix release
* Tue Aug 28 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.2-1
- upstream bugfix release
- support for negative app selector, patch from
  theinric@redhat.com
* Fri Aug 17 2007 Peter Vrabec <pvrabec@redhat.com> 1.19.0-1
- new upstream release with MySQL support(as plugin)
* Wed Aug  8 2007 Peter Vrabec <pvrabec@redhat.com> 1.18.1-1
- upstream bugfix release
* Mon Aug  6 2007 Peter Vrabec <pvrabec@redhat.com> 1.18.0-1
- new upstream release
* Thu Aug  2 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.6-1
- upstream bugfix release
* Mon Jul 30 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.5-1
- upstream bugfix release
- fix typo in provides
* Wed Jul 25 2007 Jeremy Katz <katzj@redhat.com> - 1.17.2-4
- rebuild for toolchain bug
* Tue Jul 24 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.2-3
- take care of sysklogd configuration files in %%%%post
* Tue Jul 24 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.2-2
- use EVR in provides/obsoletes sysklogd
* Mon Jul 23 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.2-1
- upstream bug fix release
* Fri Jul 20 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.1-1
- upstream bug fix release
- include html docs (#248712)
- make "-r" option compatible with sysklogd config (248982)
* Tue Jul 17 2007 Peter Vrabec <pvrabec@redhat.com> 1.17.0-1
- feature rich upstream release
* Thu Jul 12 2007 Peter Vrabec <pvrabec@redhat.com> 1.15.1-2
- use obsoletes and hadle old config files
* Wed Jul 11 2007 Peter Vrabec <pvrabec@redhat.com> 1.15.1-1
- new upstream bugfix release
* Tue Jul 10 2007 Peter Vrabec <pvrabec@redhat.com> 1.15.0-1
- new upstream release introduce capability to generate output
  file names based on templates
* Tue Jul  3 2007 Peter Vrabec <pvrabec@redhat.com> 1.14.2-1
- new upstream bugfix release
* Mon Jul  2 2007 Peter Vrabec <pvrabec@redhat.com> 1.14.1-1
- new upstream release with IPv6 support
* Tue Jun 26 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.5-3
- add BuildRequires for  zlib compression feature
* Mon Jun 25 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.5-2
- some spec file adjustments.
- fix syslog init script error codes (#245330)
* Fri Jun 22 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.5-1
- new upstream release
* Fri Jun 22 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.4-2
- some spec file adjustments.
* Mon Jun 18 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.4-1
- upgrade to new upstream release
* Wed Jun 13 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.2-2
- DB support off
* Tue Jun 12 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.2-1
- new upstream release based on redhat patch
* Fri Jun  8 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.1-2
- rsyslog package provides its own kernel log. daemon (rklogd)
* Mon Jun  4 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.1-1
- Initial rpm build
